Skip to main content
POST
/
blueprints
Create blueprint
curl --request POST \
  --url https://api.helloannie.com/v1/blueprints \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "templateIds": [
    "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  ],
  "description": "<string>"
}
'
import requests

url = "https://api.helloannie.com/v1/blueprints"

payload = {
"name": "<string>",
"templateIds": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"description": "<string>"
}
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
templateIds: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
description: '<string>'
})
};

fetch('https://api.helloannie.com/v1/blueprints', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "success": true,
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "description": "<string>",
    "createdAt": "<string>",
    "templateIds": [
      "3c90c3cc-0d44-4b50-8888-8dd25736052a"
    ],
    "variables": [
      {
        "name": "<string>",
        "description": "<string>",
        "isRequired": true
      }
    ]
  }
}
{
"success": false,
"data": {},
"message": "<string>"
}
{
"success": false,
"data": {},
"message": "<string>"
}
{
"success": false,
"data": {},
"message": "<string>"
}

Body

Request body for creating a blueprint

name
string
required

Name for the blueprint

Required string length: 1 - 255
templateIds
string<uuid>[]
required

Template IDs to include in the blueprint

Minimum array length: 1
description
string

Description of the blueprint

Response

Response containing the created blueprint

success
enum<boolean>
required
Available options:
true
data
object
required